import * as core from "@terrascript/core";

export interface PatchGroupArgs extends core.ResourceArgs {
  baselineId: string | core.StringOut;

  patchGroup: string | core.StringOut;
}

export class PatchGroup extends core.Resource<PatchGroupArgs> {
  @core.attr(String)
  public baselineId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public patchGroup!: string | core.StringOut;

  constructor(name: string, args?: PatchGroupArgs) {
    super(name, "aws_ssm_patch_group", args);
  }

  public override getNamespace(): string {
    return "aws_ssm";
  }
}
